<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/invite_appbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:background="@color/background_white"
        android:gravity="center"
        app:layout_behavior=".common.view.FixAppBarLayoutBehavior">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="16dp"
            android:layout_marginBottom="16dp"
            android:descendantFocusability="beforeDescendants"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            app:layout_scrollFlags="scroll|enterAlwaysCollapsed">

            <EditText
                android:id="@+id/search_input"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:background="@drawable/community_invite_search_background"
                android:hint="@string/libao_search_input"
                android:imeOptions="actionSearch"
                android:paddingLeft="12dp"
                android:paddingRight="12dp"
                android:singleLine="true"
                android:textColor="@color/text_title"
                android:textColorHint="@color/text_C1BFC9"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/search_button"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/search_back"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginTop="1dp"
                android:layout_marginBottom="1dp"
                android:paddingLeft="12dp"
                android:paddingRight="12dp"
                android:src="@drawable/community_invite_back"
                android:textColor="@color/white"
                android:visibility="gone"
                app:layout_constraintRight_toRightOf="@id/search_input" />

            <TextView
                android:id="@+id/search_button"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center"
                android:paddingLeft="16dp"
                android:text="@string/libao_search"
                android:textColor="@color/theme_font"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <FrameLayout
        android:id="@+id/layout_fragment_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="8dp"
        app:layout_behavior="@string/appbar_scrolling_view_behavior" />

</androidx.coordinatorlayout.widget.CoordinatorLayout>